#![feature(try_blocks)]

#[macro_use]
extern crate anyhow;
#[macro_use]
extern crate serde;
#[macro_use]
extern crate serde_json;
#[macro_use]
extern crate tracing;

#[macro_use]
mod macros;
pub mod client;
mod connection;
mod error;
pub mod models;
mod utils;

pub use client::Client;
pub use connection::{Connection, SocketConnection};

pub use error::*;

#[cfg(feature = "java-bindings")]
pub mod java;
